{
  "description": "Redis Overview for AWS ElastiCache",
  "image": "data:image/svg+xml;base64,[encoded data, 7036 characters]",
  "layout": [
    {
      "h": 5,
      "i": "00d78996-1ba9-42d9-b22b-5818fc3bde4c",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 0
    },
    {
      "h": 5,
      "i": "203637d1-df44-4032-beae-1e0302d61c2a",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 0
    },
    {
      "h": 5,
      "i": "6a56afd1-6205-4afe-90fe-86befc3fb55e",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 5
    },
    {
      "h": 5,
      "i": "af269a1c-95a3-46b3-8d3b-322c194450e2",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 5
    },
    {
      "h": 5,
      "i": "f9b0f03a-8d78-4c26-a037-daae69650eb6",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 10
    },
    {
      "h": 5,
      "i": "18798789-b67a-4c90-8127-f6bb63f012b2",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 10
    },
    {
      "h": 5,
      "i": "b3cdeb88-6988-419c-9e94-4a6bccfdd467",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 15
    },
    {
      "h": 5,
      "i": "3604137c-12fe-4205-b7fc-f10d6143583b",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 15
    },
    {
      "h": 5,
      "i": "5e69ac87-580f-4dc2-becd-943296e5cd1d",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 20
    },
    {
      "h": 5,
      "i": "e5c9ccb6-31de-4b80-8f4c-220ea2e874d0",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 20
    },
    {
      "h": 5,
      "i": "dccdd9c3-3864-4aef-a98f-6fb0e30baf0c",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 25
    },
    {
      "h": 5,
      "i": "79723065-b871-4c79-83eb-b32f025c7642",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 25
    },
    {
      "h": 5,
      "i": "8eba8049-2af5-4998-b0e1-cbc2235f9b40",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 30
    },
    {
      "h": 5,
      "i": "47432f6e-e37c-416a-b517-b66931c9e907",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 30
    }
  ],
  "panelMap": {},
  "tags": [],
  "title": "ElastiCache Redis Overview",
  "uploadedGrafana": false,
  "variables": {
    "50910278-a96b-4bae-a3b4-4c5b9e7cdefc": {
      "allSelected": false,
      "customValue": "",
      "description": "Cache Cluster",
      "id": "50910278-a96b-4bae-a3b4-4c5b9e7cdefc",
      "modificationUUID": "3903938d-b7aa-4cea-b0f3-bbd704374e31",
      "multiSelect": true,
      "name": "Cluster",
      "order": 2,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'CacheClusterId') AS cluster FROM signoz_metrics.distributed_time_series_v4_1day WHERE metric_name = 'aws_ElastiCache_CPUUtilization_max' AND JSONExtractString(labels, 'cloud_account_id') IN {{.Account}} AND JSONExtractString(labels, 'cloud_region') IN {{.Region}} AND cluster != '' GROUP BY cluster",
      "showALLOption": true,
      "sort": "DISABLED",
      "textboxValue": "",
      "type": "QUERY"
    },
    "6357cfda-7432-4286-ae5c-fa665ba4ad13": {
      "allSelected": false,
      "customValue": "",
      "description": "AWS Account Region",
      "id": "6357cfda-7432-4286-ae5c-fa665ba4ad13",
      "key": "6357cfda-7432-4286-ae5c-fa665ba4ad13",
      "modificationUUID": "7934dec7-34c6-417e-bcf6-5d9685874f41",
      "multiSelect": false,
      "name": "Region",
      "order": 1,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'cloud_region') AS region FROM signoz_metrics.distributed_time_series_v4_1day WHERE metric_name = 'aws_ElastiCache_CPUUtilization_max' AND JSONExtractString(labels, 'cloud_account_id') IN {{.Account}} GROUP BY region",
      "showALLOption": false,
      "sort": "ASC",
      "textboxValue": "",
      "type": "QUERY"
    },
    "dbed9d28-86e7-4c79-9b05-931cc3697416": {
      "allSelected": false,
      "customValue": "",
      "description": "AWS Cloud Account ID",
      "id": "dbed9d28-86e7-4c79-9b05-931cc3697416",
      "key": "dbed9d28-86e7-4c79-9b05-931cc3697416",
      "modificationUUID": "e50566ae-eabf-4ca0-8c84-f9026747d538",
      "multiSelect": false,
      "name": "Account",
      "order": 0,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'cloud_account_id') AS cloud_account_id FROM signoz_metrics.distributed_time_series_v4_1day WHERE metric_name = 'aws_ElastiCache_CPUUtilization_max' GROUP BY cloud_account_id",
      "showALLOption": false,
      "sort": "DISABLED",
      "textboxValue": "",
      "type": "QUERY"
    }
  },
  "version": "v4",
  "widgets": [
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "b3cdeb88-6988-419c-9e94-4a6bccfdd467",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_DatabaseMemoryUsagePercentage_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_DatabaseMemoryUsagePercentage_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "1de28cd7",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "a2e662bc",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "b7391c4e",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "4e4a59d3-5255-4540-82e1-1892ffc0d444",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Database Memory Usage Percentage",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "18798789-b67a-4c90-8127-f6bb63f012b2",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_DatabaseCapacityUsagePercentage_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_DatabaseCapacityUsagePercentage_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "42feb786",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "0c3a5e7a",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "de00d7b3",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "3199dc90-ba5d-451a-9430-2d4d0ebf37bc",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Database Capacity Usage Percentage",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "af269a1c-95a3-46b3-8d3b-322c194450e2",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_CacheHitRate_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_CacheHitRate_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "6e9c7a26",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "7087d8df",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "26bd4c51",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "e12cd857-4cec-4328-9155-5e4f9c00fc43",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Cache Hit Rate",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "f9b0f03a-8d78-4c26-a037-daae69650eb6",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_MemoryFragmentationRatio_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_MemoryFragmentationRatio_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "21a13195",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "63918715",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "647e4dbe",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "d7ec3399-edbf-4fbc-8cf6-e7e349fdbab5",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Memory Fragmentation Ratio",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "dccdd9c3-3864-4aef-a98f-6fb0e30baf0c",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_SwapUsage_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_SwapUsage_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "8c18e738",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "72e562a1",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "26891e8d",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "d0e5f558-3d07-4512-8611-243c4e86e84c",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Swap Usage",
      "yAxisUnit": "decbytes"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "3604137c-12fe-4205-b7fc-f10d6143583b",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_FreeableMemory_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_FreeableMemory_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "0820e027",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "c6612aef",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "b863daa8",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "4263a59a-367b-404e-ac59-48002f3123e6",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Freeable Memory",
      "yAxisUnit": "decbytes"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "5e69ac87-580f-4dc2-becd-943296e5cd1d",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_NetworkBytesIn_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_NetworkBytesIn_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "314b2895",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "05806d0e",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "edfe2e2c",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "0a5800e1-f341-4880-b993-e5a7f1068ab0",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Network Bytes In",
      "yAxisUnit": "decbytes"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "e5c9ccb6-31de-4b80-8f4c-220ea2e874d0",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_NetworkBytesOut_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_NetworkBytesOut_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "f2089c33",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "088c9b4a",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "1a86c392",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "c5ab1812-a9ec-4c8a-8b5b-49d5a43bf621",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Network Bytes Out",
      "yAxisUnit": "decbytes"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "6a56afd1-6205-4afe-90fe-86befc3fb55e",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_CurrConnections_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_CurrConnections_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "5ebba9ac",
                    "key": {
                      "dataType": "",
                      "isColumn": false,
                      "key": "CacheClusterId",
                      "type": ""
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "10a254a8",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "310ce219",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "5796d31c-fd59-4d8b-b6ff-5f9db5a2a4bd",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Current Connections Maximum",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "8eba8049-2af5-4998-b0e1-cbc2235f9b40",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_ReplicationLag_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_ReplicationLag_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "b5ed26b7",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "a3ab9c6c",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "cfd6d4ee",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "2f6baca9-1700-4dcf-8875-3c45719f9ff7",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Replication Lag",
      "yAxisUnit": "s"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "79723065-b871-4c79-83eb-b32f025c7642",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_Evictions_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_Evictions_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "e591ace7",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "0e7a0149",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "1440550c",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "aaa23f24-6fbf-439f-92a9-09bdde4ba8fc",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Evictions",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "00d78996-1ba9-42d9-b22b-5818fc3bde4c",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_CPUUtilization_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_CPUUtilization_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "43ef42eb",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "ce680e7d",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "4cc11182",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "eb5429dc-f591-4907-8394-ed3918bbe561",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "CPU Utilization",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "203637d1-df44-4032-beae-1e0302d61c2a",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_EngineCPUUtilization_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_EngineCPUUtilization_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "87b3e146",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "b0f9df50",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "07a5a0d1",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "ba5afd9b-eb99-46bc-83f3-7c2f2feabf19",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Engine CPU Utilization",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "47432f6e-e37c-416a-b517-b66931c9e907",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_ElastiCache_CurrConnections_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_ElastiCache_CurrConnections_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "6764e117",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "4764b9eb",
                    "key": {
                      "dataType": "string",
                      "id": "CacheClusterId--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "CacheClusterId",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  },
                  {
                    "id": "a1c90d55",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "CacheClusterId--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "CacheClusterId",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{CacheClusterId}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "018e439e-7c3c-4f6d-afe1-fd363e0f9a1d",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Current Connections",
      "yAxisUnit": "none"
    }
  ]
}